[arch-commits] Commit in python-js2py/repos/community-staging-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Nov 5 10:29:55 UTC 2019


    Date: Tuesday, November 5, 2019 @ 10:29:53
  Author: felixonmars
Revision: 524185

archrelease: copy trunk to community-staging-any

Added:
  python-js2py/repos/community-staging-any/PKGBUILD
    (from rev 524184, python-js2py/trunk/PKGBUILD)
Deleted:
  python-js2py/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |  103 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 53 insertions(+), 50 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-11-05 10:29:37 UTC (rev 524184)
+++ PKGBUILD	2019-11-05 10:29:53 UTC (rev 524185)
@@ -1,50 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-js2py
-pkgname=(python-js2py python2-js2py)
-pkgver=0.66
-_commit=c0fa43f5679cf91ca8986c5747fcb07a433dc584
-pkgrel=2
-pkgdesc="JavaScript to Python Translator & JavaScript interpreter written in 100% pure Python"
-url="https://github.com/PiotrDabkowski/Js2Py"
-license=('MIT')
-arch=('any')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-tzlocal' 'python2-tzlocal'
-             'python-six' 'python2-six' 'python-pyjsparser' 'python2-pyjsparser')
-checkdepends=('npm' 'python-numpy' 'python2-numpy')
-source=("$pkgbase-$_commit.tar.gz::https://github.com/PiotrDabkowski/Js2Py/archive/$_commit.tar.gz")
-sha512sums=('ef7218b04bf498e10cc2da7e511909ecd18466de3224915062c0b9a2764187dedac25c88078d80166cc1fdf680226360f6f10e83878273673afb757b8b361219')
-
-prepare() {
-  mv Js2Py-{$_commit,$pkgver}
-}
-
-build() {
-  cd Js2Py-$pkgver
-  python setup.py build
-  python2 setup.py build
-}
-
-check() {
-  cd Js2Py-$pkgver
-  python simple_test.py
-  python2 simple_test.py || warning "https://github.com/PiotrDabkowski/Js2Py/issues/149"
-}
-
-package_python-js2py() {
-  depends=('python-tzlocal' 'python-six' 'python-pyjsparser')
-
-  cd Js2Py-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-
-  install -Dm644 LICENSE.md "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.md
-}
-
-package_python2-js2py() {
-  depends=('python2-tzlocal' 'python2-six' 'python2-pyjsparser')
-
-  cd Js2Py-$pkgver
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  install -Dm644 LICENSE.md "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.md
-}

Copied: python-js2py/repos/community-staging-any/PKGBUILD (from rev 524184, python-js2py/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-11-05 10:29:53 UTC (rev 524185)
@@ -0,0 +1,53 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-js2py
+pkgname=(python-js2py python2-js2py)
+pkgver=0.66
+_commit=c0fa43f5679cf91ca8986c5747fcb07a433dc584
+pkgrel=3
+pkgdesc="JavaScript to Python Translator & JavaScript interpreter written in 100% pure Python"
+url="https://github.com/PiotrDabkowski/Js2Py"
+license=('MIT')
+arch=('any')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-tzlocal' 'python2-tzlocal'
+             'python-six' 'python2-six' 'python-pyjsparser' 'python2-pyjsparser')
+checkdepends=('npm' 'python-numpy' 'python2-numpy')
+source=("$pkgbase-$_commit.tar.gz::https://github.com/PiotrDabkowski/Js2Py/archive/$_commit.tar.gz"
+         js2py-python-3.8.patch::"https://github.com/PiotrDabkowski/Js2Py/commit/74d46528.patch")
+sha512sums=('ef7218b04bf498e10cc2da7e511909ecd18466de3224915062c0b9a2764187dedac25c88078d80166cc1fdf680226360f6f10e83878273673afb757b8b361219'
+            '12c65cfc393be88a286cfc68406164d3090d44735c374d1087ceb0c571a8bfeb8e6b4cf6a87238751ba48959e4fb70c67c180e65c4e5095ebbe7dbfe7c8ada82')
+
+prepare() {
+  patch -d Js2Py-$_commit -p1 -i ../js2py-python-3.8.patch # Fix tests with python 3.8
+  mv Js2Py-{$_commit,$pkgver}
+}
+
+build() {
+  cd Js2Py-$pkgver
+  python setup.py build
+  python2 setup.py build
+}
+
+check() {
+  cd Js2Py-$pkgver
+  python simple_test.py
+  python2 simple_test.py || warning "https://github.com/PiotrDabkowski/Js2Py/issues/149"
+}
+
+package_python-js2py() {
+  depends=('python-tzlocal' 'python-six' 'python-pyjsparser')
+
+  cd Js2Py-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -Dm644 LICENSE.md "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.md
+}
+
+package_python2-js2py() {
+  depends=('python2-tzlocal' 'python2-six' 'python2-pyjsparser')
+
+  cd Js2Py-$pkgver
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  install -Dm644 LICENSE.md "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.md
+}



More information about the arch-commits mailing list